#! /bin/sh -x
cd `dirname $0`
if ! test -f tokipona.mim; then
    echo "Error: tokipona.mim not found.  Wrong directory?" 1>&2
fi

M17NDIR_SET=${M17NDIR+set}

M17NDIR=${M17NDIR-~/.m17n}
mkdir -p $M17NDIR

cp tokipona.mim $M17NDIR || exit 1

test -f $M17NDIR/mdb.dir || \
    echo >> $M17NDIR/mdb.dir || exit 1

grep 'tokipona\.mim' $M17NDIR/mdb.dir > /dev/null 2>&1 || \
    echo '(input-method t Tokipona "tokipona.mim")' >> $M17NDIR/mdb.dir || exit 1

if test "x$M17NDIR_SET" = "xset"; then
    true
else
    grep 'M17NDIR' ~/.bashrc > /dev/null 2>&1 || \
        echo 'export M17NDIR='"$M17NDIR" >> ~/.bashrc || exit 1
fi

echo "Success."

exit 0

